%global waddir  %{_datadir}/doom

Name:           freedoom

Version:        0.7
Release:        8%{?dist}
Summary:        Replacement game files for doom game engines

Group:          Amusements/Games
License:        BSD
URL:            https://savannah.nongnu.org/projects/freedoom/
Source0:        http://download.savannah.gnu.org/releases-noredirect/%{name}/%{name}-iwad/%{name}-iwad-%{version}.zip
Source1:        freedoom.desktop
Source2:        freedoom.png

BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       prboom
Requires(post): coreutils
Requires(postun): coreutils

%description
A set of game resources for the DOOM game engine.  While the Doom source code
is Free, you currently still need one of the proprietary IWAD files from id in
order to play Doom. Freedoom aims to create a Free alternative. Combined with
the GPL-licensed Doom source code this will result in a completely Free
Doom-based game.

%prep
%setup -q -n freedoom-iwad-%{version}

%build
# Game data files.  Nothing to build!

%install
install -pD -m 0644 doom2.wad %{buildroot}/%{waddir}/freedoom.wad

desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Edgar Muniz Berlinck <edgar.vv@gmail.com> -->
<!--
BugReportURL: https://github.com/freedoom/freedoom/issues/100
SentUpstream: 2014-09-25
-->
<application>
  <id type="desktop">freedoom.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>First person shoot DOOM-based game</summary>
  <description>
    <p>
      Free alternative for IWAD.
      Freedoom brings to you a set of resources for the DOOM game engine.
    </p>
    <p>
      Freedoo, is a 3-in-1 game:
    </p>
    <ul>
     <li>
       Freedoom: 32 levels game in one charpter (Compatible with DOOM II mods)
     </li>
     <li>
       Ultimate Freedoom: Alternative game with 36 levels distributed in 4 charpters (Compatible with original DOOM and Ultimate DOOM mods)
     </li>
     <li>
       FreeDM: 32 levels designed for Deathmatch mode
     </li>
    </ul>
  </description>
  <url type="homepage">http://freedoom.github.io/</url>
  <screenshots>
    <screenshot type="default">http://freedoom.github.io/img/screenshots/th_0.6.3_02.jpg</screenshot>
    <screenshot>http://freedoom.github.io/img/screenshots/th_0.6.3_01.jpg</screenshot>
    <screenshot>http://freedoom.github.io/img/screenshots/th_0.6.3_03.jpg</screenshot>
    <screenshot>http://freedoom.github.io/img/screenshots/th_0.6.3_04.jpg</screenshot>
  </screenshots>
</application>
EOF

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{waddir}/%{name}.wad
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%doc README COPYING CREDITS NEWS

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.7-7
- Add an AppData file for the software center

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 26 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7-1
- Update to latest upstream release
- No need to explicitly define buildroot, defattr or have a clean stage anymore
- Replace define with global as per current packaging guidelines
- Fix icon cache scriplets as per current packaging guidelines
- Fix the desktop file to follow the latest spec

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Wart <wart at kobold.org> 0.6.4-1
- Update to 0.6.4

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Wart <wart at kobold.org> 0.6.2-2
- Add coreutils requirement for rpm post scripts

* Wed Jun 4 2008 Wart <wart at kobold.org> 0.6.2-1
- Update to 0.6.2

* Sat Aug 11 2007 Wart <wart at kobold.org> 0.5-3
- Use correct .desktop file version

* Sat Mar 3 2007 Wart <wart at kobold.org> 0.5-2
- Use better sourceforge download url
- Use more precise desktop file categories

* Fri Sep 15 2006 Wart <wart at kobold.org> 0.5-1
- Update to 0.5

* Tue Mar 14 2006 Wart <wart at kobold.org> 0.4.1-3
- Use correct License: tag.
- Remove unnecessary comment.

* Mon Mar 13 2006 Wart <wart at kobold.org> 0.4.1-2
- Install wad in new location (see discussion on bz #185211)

* Sat Mar 11 2006 Wart <wart at kobold.org> 0.4.1-1
- Initial package for Fedora Extras
